## ganglia 3.7.2

=== debian/changelog ===
ganglia (3.7.2-4) unstable; urgency=medium

   [ Gianfranco Costamagna ]
   * Fix build with glibc >= 2.32. Thanks to Graham Inggs.
     (Closes: #975452).

   [ Marcos Fouces ]
   * Bump to Standards-Version:4.5.1 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Wed, 13 Jan 2021 23:39:06 +0100

ganglia (3.7.2-3) unstable; urgency=medium

  * Add dep8 tests. Thanks to Yolanda Robla. (Closes: #708145).
  * Update watch file standard to version 4.

 -- Marcos Fouces <marcos@debian.org>  Sat, 21 Nov 2020 22:57:27 +0100

ganglia (3.7.2-2) unstable; urgency=medium

  * Bump to debhelper-compat 13

 -- Marcos Fouces <marcos@debian.org>  Sun, 04 Oct 2020 21:34:24 +0200

ganglia (3.7.2-1) unstable; urgency=medium

  * Stepping in as new maintainer for
    salvaging package (Closes: #964399, #953471)
  * New upstream release. (Closes: #700073).
  * d/patches:
    ~ Delete both patches as they're already applied upstream.
    ~ Add 1_fix-minor-spelling-errors.patch.
  * d/control:
    ~ Bump to dehelper-compat 12. Remove obsolete d/compat file.
    ~ Remove package ganglia-monitor-python as it still depends
      on Python2.x. (Closes: #936581, #967135, #669821, #808160)
    ~ Remove unneeded build-dependencies.
    ~ Add Depends on lsb-base in ganglia-monitor package.
    ~ Set proper for Vcs-* fields. (Closes: #710503)
    ~ Set Rules-Requires-Root: no
    ~ Add Pre-Depends: ${misc:Pre-Depends} for ganglia-monitor
      and gmetad packages.
    ~ Bump to Standards-Version 4.5.0 (some changes needed).
  * d/rules:
    ~ Simplify rules file.
    ~ Build gmetad along all the rest.
    ~ Remove unneeded *.la files in libganglia1-dev package.
    ~ Add target to add multiarch support to gmond configuration file.
    ~ Create link for libganglia.so.0 in all architectures.
  * d/{ganglia-monitor,gmetad}.init
    ~ Major rewrite.
    ~ Add pid-file support. (Closes: #526146)
    ~ Source init functions.
    ~ Add support for status argument (as per policy).(Closes: #712929)
  * Update paths for multiarch build in libganglia1 and dev packages.
  * Remove d/libganglia1-dev.manpages. There is no more man pages for it.
  * Update d/copyright to be dep-5 compliant.
  * Delete unneeded ganglia-monitor-python.dir file
  * Add service files for ganglia-monitor and gmetad. (Closes: #838490).
  * Add upstream metadata.
  * Install gmetad.conf in /etc/ganglia/.
  * Rewrite {post}{inst,rm} files. (Closes: #815615, #586912)
  * Update maintainer email to @debian.org

 -- Marcos Fouces <marcos@debian.org>  Fri, 02 Oct 2020 00:13:21 +0200

ganglia (3.6.0-7) unstable; urgency=high

  * Add missing targets build-arch and build-indep. (Closes: #821985)

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 07 Jul 2016 08:26:49 +0200

ganglia (3.6.0-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * Updated build-dependencies. Thanks Michael Tautschnig. (Closes: #812462)

 -- Jean-Michel Vourgère <nirgal@debian.org>  Fri, 06 May 2016 18:22:47 +0000

=== debian/control ===
Source: ganglia
Section: net
Priority: optional
Maintainer: Marcos Fouces <marcos@debian.org>
Uploaders: Stuart Teasdale <sdt@debian.org>
Homepage: http://ganglia.info/
Build-Depends: debhelper-compat (=13), librrd-dev, libapr1-dev, libexpat1-dev, libconfuse-dev, po-debconf, libxml2-dev, libdbi0-dev, libpcre3-dev, gperf, rsync, libkvm-dev [kfreebsd-any], pkg-config, libz-dev, libtirpc-dev
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/debian/ganglia.git
Vcs-Browser: https://salsa.debian.org/debian/ganglia
Rules-Requires-Root: no

Package: ganglia-monitor
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser, libganglia1 (=${binary:Version}), lsb-base
Pre-Depends: ${misc:Pre-Depends}
Description: cluster monitoring toolkit - node daemon
 Ganglia is a scalable, real-time cluster monitoring environment
 that collects cluster statistics in an open and well-defined XML format.
 .
 This package contains the monitor core program.

Package: gmetad
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser, libganglia1 (=${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Suggests: ganglia-monitor, ganglia-webfrontend
Description: cluster monitoring toolkit - Ganglia Meta-Daemon
 Ganglia is a scalable, real-time cluster monitoring environment
 that collects cluster statistics in an open and well-defined XML format.
 .
 This package contains the 'gmetad' daemon, which collects information from
 ganglia monitor clients and writes it to RRD databases.

Package: libganglia1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: cluster monitoring toolkit - shared libraries
 Ganglia is a scalable, real-time cluster monitoring environment
 that collects cluster statistics in an open and well-defined XML format.
 .
 This package contains shared libraries.

Package: libganglia1-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libganglia1 (=${binary:Version}), ${shlibs:Depends}
Description: cluster monitoring toolkit - development libraries
 Ganglia is a scalable, real-time cluster monitoring environment
 that collects cluster statistics in an open and well-defined XML format.
 .
 This package contains development libraries.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_CFLAGS_MAINT_APPEND = -I/usr/include/tirpc/
export DEB_LDFLAGS_MAINT_APPEND = -ltirpc
export DH_VERBOSE = 1
%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- \
		--with-gmetad

override_dh_auto_install: debian/gmond.conf debian/libganglia1-dev.links
	dh_auto_install
	find debian/ -name "*.la" -delete

debian/gmond.conf: debian/gmond.conf.in
	sed 's/#DEB_HOST_MULTIARCH#/$(DEB_HOST_MULTIARCH)/g' $< > $@

debian/libganglia1-dev.links: debian/libganglia1-dev.links.in
	sed 's/#DEB_HOST_MULTIARCH#/$(DEB_HOST_MULTIARCH)/g' $< > $@

override_dh_missing:

=== debian/watch ===
version=4
http://sf.net/ganglia/ganglia-(\d.+)\.tar\.gz

## ganglia jobmonarch-1.1.2

=== Makefile ===
# Where to build
#
TMPDIR = /tmp

# Where to install
DESTDIR = 

# Install prefix
PREFIX = /usr/local

BIN_DIR = $(PREFIX)/sbin
JOBMOND = $(BIN_DIR)/jobmond
JOBARCHIVED = $(BIN_DIR)/jobarchived

# What is the location of the Ganglia web frontend
# i.e.: where to we install Job Monarch's web frontend addon
# 
GANGLIA_ROOT = $(PREFIX)/ganglia
GANGLIA_USER = ganglia.ganglia
HTTPD_USER   = apache.apache

# Where jobarchived RRDS are stored
JOBARCHIVE_RRDS = $(PREFIX)/jobmonarch

# Clear this if you don't want to use ${FAKEROOT}
#
FAKEROOT = fakeroot

VERSION = 1.1.2
RELEASE = 1

REQUIRED = ./jobarchived ./jobmond ./web

all:
	@echo "Nothing to build."
	@echo "possible targets are: tarball, tarball-gzip, tarball-bzip, rpm, srpm, deb, clean"

tarball:	tarball-gzip tarball-bzip

$(TMPDIR)/.monarch_buildroot: ${REQUIRED} Makefile
	@rm -rf ${TMPDIR}/.monarch_buildroot
	@mkdir -p ${TMPDIR}/.monarch_buildroot/ganglia_jobmonarch-${VERSION}
	@( rsync -a --exclude=.svn --exclude=*_test* --exclude=*-example.php --exclude=svn-commit.tmp \
	. ${TMPDIR}/.monarch_buildroot/ganglia_jobmonarch-${VERSION} )
	@sed -i -e 's|__VERSION__|$(VERSION)|g' -e 's/__RELEASE__/$(RELEASE)/g' \
		${TMPDIR}/.monarch_buildroot/ganglia_jobmonarch-${VERSION}/jobmond/jobmond.py \
		${TMPDIR}/.monarch_buildroot/ganglia_jobmonarch-${VERSION}/jobarchived/jobarchived.py \
		${TMPDIR}/.monarch_buildroot/ganglia_jobmonarch-${VERSION}/web/addons/job_monarch/version.php \
		${TMPDIR}/.monarch_buildroot/ganglia_jobmonarch-${VERSION}/pkg/rpm/jobmonarch.spec \
		${TMPDIR}/.monarch_buildroot/ganglia_jobmonarch-${VERSION}/debian/changelog


tarball-gzip:	$(TMPDIR)/.monarch_buildroot ${REQUIRED}
	@( cd ${TMPDIR}/.monarch_buildroot; tar zcf $(TMPDIR)/ganglia_jobmonarch-${VERSION}.tar.gz ./ganglia_jobmonarch-${VERSION} )
	@mv -f ${TMPDIR}/ganglia_jobmonarch-${VERSION}.tar.gz .. 2> /dev/null || true
	@echo "Wrote: ../ganglia_jobmonarch-${VERSION}.tar.gz"

tarball-bzip:	$(TMPDIR)/.monarch_buildroot ${REQUIRED}
	@( cd ${TMPDIR}/.monarch_buildroot; tar jcf ${TMPDIR}/ganglia_jobmonarch-${VERSION}.tar.bz2 ./ganglia_jobmonarch-${VERSION} )
	@mv -f ${TMPDIR}/ganglia_jobmonarch-${VERSION}.tar.bz2 .. 2> /dev/null || true
	@echo "Wrote: ../ganglia_jobmonarch-${VERSION}.tar.bz2"

rpm: tarball-bzip
	# Binary package will reflect most distro where ganglia default location is /usr/share/ganglia
	@LC_ALL=C rpmbuild -tb --define '%custom_web_prefixdir /usr/share/ganglia' ../ganglia_jobmonarch-${VERSION}.tar.bz2|grep "Wrote: "

srpm: tarball-bzip
	@LC_ALL=C rpmbuild -ts --define '%dist %{nil}' ../ganglia_jobmonarch-${VERSION}.tar.bz2|grep "Wrote: "

deb: ${REQUIRED} $(TMPDIR)/.monarch_buildroot ./debian
	@( cd ${TMPDIR}/.monarch_buildroot/ganglia_jobmonarch-${VERSION}; dpkg-buildpackage -b -uc -us )
	@mv ${TMPDIR}/.monarch_buildroot/jobmonarch-*_$(VERSION)-$(RELEASE)_all.deb ..
	@rm -rf ${TMPDIR}/.monarch_buildroot
	@echo "Wrote:"
	@ls -1 ../jobmonarch*$(VERSION)*.deb

install:  ${REQUIRED}
	@#
	@# Set the correct GANGLIA_PATH.
	@#
	@echo
	@echo "Using $(GANGLIA_ROOT) as Ganglia root installation path. If it's not what"
	@echo "you want, use make GANGLIA_ROOT=/path/to/your/ganglia/root ."
	@sed -e 's|__GANGLIA_ROOT__|$(GANGLIA_ROOT)/|g' web/conf.php.in > web/addons/job_monarch/conf.php
	@#
	@# Set the correct JOBARCHIVE_RRDS in jobarchve.conf and ganglia conf.php
	@#
	@echo
	@echo "Using $(JOBARCHIVE_RRDS) as jobarchive path to  store rrds files. If it's not what"
	@echo "you want, use make JOBARCHIVE_RRDS=/path/to/you/jobarchived/rrdsfiles ."
	@sed -i -e 's|__JOBARCHIVE_RRDS__|$(JOBARCHIVE_RRDS)|g' jobarchived/jobarchived.conf web/addons/job_monarch/conf.php
	@#
	@# Files in SBIN_DIR
	@#
	@echo
	@echo "Installing jobmond.py and jobarchived.py to $(PREFIX)/sbin"
	@install -m 0755 -d $(DESTDIR)$(PREFIX)/sbin
	@install -m 0755 jobmond/jobmond.py $(DESTDIR)$(PREFIX)/sbin/
	@install -m 0755 jobarchived/jobarchived.py $(DESTDIR)$(PREFIX)/sbin/
	@(cd $(DESTDIR)$(PREFIX)/sbin/; ln -s jobmond.py jobmond; ln -s jobarchived.py jobarchived)
	@#
	@# Files in /etc
	@#
	@echo
	@echo "Installing config files jobmond.conf jobarchived.conf in /etc"
	@install -m 0755 -d $(DESTDIR)/etc
	@install -m 0644 jobmond/jobmond.conf $(DESTDIR)/etc/
	@install -m 0644 jobarchived/jobarchived.conf $(DESTDIR)/etc/
	@#
	@# Files specific to distros if /etc/redhat-release => rpm else (/etc/debian_version => debian)
	@#
	@if test -r /etc/redhat-release; then \
		echo; \
		echo "Red Hat detected: installing RPM service files in /etc"; \
		sed -i -e 's|DAEMON=.*|DAEMON=$(JOBMOND)|g' pkg/rpm/init.d/jobmond; \
		sed -i -e 's|DAEMON=.*|DAEMON=$(JOBARCHIVED)|g' pkg/rpm/init.d/jobarchived; \
		install -m 0755 -d $(DESTDIR)/etc/rc.d/init.d; \
		install -m 0755 pkg/rpm/init.d/jobmond $(DESTDIR)/etc/rc.d/init.d/; \
		install -m 0755 pkg/rpm/init.d/jobarchived $(DESTDIR)/etc/rc.d/init.d/; \
		install -m 0755 -d $(DESTDIR)/etc/sysconfig; \
		install -m 0755 pkg/rpm/sysconfig/jobmond $(DESTDIR)/etc/sysconfig; \
		install -m 0755 pkg/rpm/sysconfig/jobarchived $(DESTDIR)/etc/sysconfig; \
    else \
		sed -i -e 's|DAEMON=.*|DAEMON=$(JOBMOND)|g' debian/jobmonarch-jobmond.init; \
		sed -i -e 's|DAEMON=.*|DAEMON=$(JOBARCHIVED)|g' debian/jobmonarch-jobarchived.init; \
	fi
	@#
	@# Files in /usr/share
	@#
	@echo
	@echo "Installing job_dbase.sql in $(PREFIX)/share/jobarchived"
	@install -m 0755 -d $(DESTDIR)$(PREFIX)/share/jobarchived
	@install -m 0755 jobarchived/job_dbase.sql $(DESTDIR)$(PREFIX)/share/jobarchived/
	@#
	@# Create the /var/lib/jobarchive directory where rrds are stored.
	@#
	@echo
	@echo "Creating the directory where RRDs will be stored: $(JOBARCHIVE_RRDS)"
	@install -m 0755 -d $(DESTDIR)$(JOBARCHIVE_RRDS)
	@#
	@# Files for ganglia
	@#
	@echo
	@echo "Installing Ganglia web interface to $(GANGLIA_ROOT) ."
	@install -m 0755 -d $(DESTDIR)$(GANGLIA_ROOT)
	@chown -R $(GANGLIA_USER) ./web
	@chown $(HTTPD_USER) ./web/addons/job_monarch/dwoo/compiled
	@chown $(HTTPD_USER) ./web/addons/job_monarch/dwoo/cache
	@chmod 775 ./web/addons/job_monarch/dwoo/cache
	@(cd web; rsync -a --exclude=.svn --exclude=*_test* --exclude=*-example.php ./addons ./templates $(DESTDIR)$(GANGLIA_ROOT)/)
	@#
	@echo
	@echo "Installation complete."
	@echo

clean:
	@(cd ./debian; rm -rf files *.log *.substvars jobmonarch/ jobmonarch-jobmond/ jobmonarch-jobarchived/ jobmonarch-webfrontend/ tmp/)
	@rm -f web/addons/job_monarch/conf.php

clean_all:	clean
	@# Cannot include this in clean otherwise, dpkg-buildpackage will commit scuicide.
	@rm -rf ${TMPDIR}/.monarch_buildroot

=== debian/changelog ===
jobmonarch (1.1.2-1) sid; urgency=low

  * New upstream version

 -- Job Monarch Development team <jobmonarch-developers@lists.sourceforge.net>  Fri, 17 May 2013 20:47:52 +0200

jobmonarch (1.0-1) sid; urgency=low

  * Initial packaging.

 -- Olivier LAHAYE <olivier.lahaye@cea.fr>  Tue, 24 Apr 2013 14:44:18 +0200

=== debian/control ===
Source: jobmonarch
Section: misc
Priority: optional
Maintainer: Job Monarch Development team <jobmonarch-developers@lists.sourceforge.net>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.3
Homepage: https://oss.trac.surfsara.nl/jobmonarch

Package: jobmonarch-jobmond
Architecture: all
Essential: no
Depends: ${python:Depends} (>=2.3), ganglia-monitor (>=3.3.8)
Description: Job Monitoring Daemon
 Job-Monarch is a set of tools to monitor and optionally archive (batch) job
 information. It is a addon for the Ganglia monitoring system and plugs into an
 existing Ganglia setup.
 jobmonarch-jobmond is the job monitoring daemon that gathers PBS/Torque/SGE
 batch statistics on jobs/nodes and submits them into Ganglia's XML stream.

Package: jobmonarch-jobarchived
Architecture: all
Essential: no
Depends: ${python:Depends} (>=2.3), gmetad (>=3.3.8), rrdtool (>=1.0), postgresql (>= 8.1.22), python-rrdtool, python-psycopg2, jobmonarch-webfrontend
Description: Job Archiving Daemon
 Job-Monarch is a set of tools to monitor and optionally archive (batch) job
 information. It is a addon for the Ganglia monitoring system and plugs into an
 existing Ganglia setup.
 jobmonach-jobarchived is the Job Archiving Daemon. It listens to Ganglia's
 XML stream and archives the job and node statistics. It stores the job
 statistics in a Postgres SQL database and the node statistics in RRD
 files. Through this daemon, users are able to lookup a old/finished job and
 view all it's statistics.

Package: jobmonarch-webfrontend
Architecture: all
Essential: no
Depends: php5, php5-gd (>= 2.0), php5-pgsql (>= 4.0.0), ganglia-webfrontend (>=3.3.8)
Description: Job MonArch's Web Frontend
 Job-Monarch is a set of tools to monitor and optionally archive (batch) job
 information. It is a addon for the Ganglia monitoring system and plugs into an
 existing Ganglia setup.
 The Job Monarch web frontend interfaces with the
 jobmond data and (optionally) the jobarchived and presents the data and
 graphs. It does this in a similar layout/setup as Ganglia itself, so the
 navigation and usage is intuitive.

=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR := debian/tmp
DESTDIR := ${CURDIR}/${BUILDDIR}

%:
	dh $@ --with python2

override_dh_auto_install:
	$(MAKE) DESTDIR=$(DESTDIR)/ PREFIX=/usr GANGLIA_ROOT=/usr/share/ganglia-webfrontend GANGLIA_USER=ganglia HTTPD_USER=www-data JOBARCHIVE_RRDS=/var/lib/jobarchive install
